将设为首页浏览此站
开启辅助访问 天气与日历 收藏本站联系我们切换到窄版

易陆发现论坛

 找回密码
 开始注册
查看: 102|回复: 1
收起左侧

错误: 实例 "testgpu" 执行所请求操作失败,实例处于错误状态。: 请稍后再试 [错误: Exceeded maximum numb

[复制链接]
发表于 2022-6-10 22:20:00 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有帐号?开始注册

x
错误: 实例 "testgpu" 执行所请求操作失败,实例处于错误状态。: 请稍后再试 [错误: Exceeded maximum number of retries. Exhausted" w+ l; `+ v# p0 O& O! n4 w
日志报错:
& w0 M9 M! ?% o
7 ~- [# Z# |( f2022-06-10 22:17:22.880 3502 ERROR nova.scheduler.utils [req-b884423b-c435-41f2-a7aa-40c513a0e803 5247291b1dfa41f6a7da085f394d7978 f4af61d215974feeb90fdb25d63b1424 - default default] [instance: f44d1122-450f-488f-81ed-9d7e630eb9ea] Error from last host: compute01 (node compute01): ['Traceback (most recent call last):\n', '  File "/usr/lib/python3.6/site-packages/nova/compute/manager.py", line 2402, in _build_and_run_instance\n    accel_info=accel_info)\n', '  File "/usr/lib/python3.6/site-packages/nova/virt/libvirt/driver.py", line 4225, in spawn\n    cleanup_instance_disks=created_disks)\n', '  File "/usr/lib/python3.6/site-packages/nova/virt/libvirt/driver.py", line 7292, in _create_guest_with_network\n    cleanup_instance_disks=cleanup_instance_disks)\n', '  File "/usr/lib/python3.6/site-packages/oslo_utils/excutils.py", line 227, in __exit__\n    self.force_reraise()\n', '  File "/usr/lib/python3.6/site-packages/oslo_utils/excutils.py", line 200, in force_reraise\n    raise self.value\n', '  File "/usr/lib/python3.6/site-packages/nova/virt/libvirt/driver.py", line 7260, in _create_guest_with_network\n    post_xml_callback=post_xml_callback)\n', '  File "/usr/lib/python3.6/site-packages/nova/virt/libvirt/driver.py", line 7197, in _create_guest\n    guest.launch(pause=pause)\n', '  File "/usr/lib/python3.6/site-packages/nova/virt/libvirt/guest.py", line 169, in launch\n    self._encoded_xml, errors=\'ignore\')\n', '  File "/usr/lib/python3.6/site-packages/oslo_utils/excutils.py", line 227, in __exit__\n    self.force_reraise()\n', '  File "/usr/lib/python3.6/site-packages/oslo_utils/excutils.py", line 200, in force_reraise\n    raise self.value\n', '  File "/usr/lib/python3.6/site-packages/nova/virt/libvirt/guest.py", line 165, in launch\n    return self._domain.createWithFlags(flags)\n', '  File "/usr/lib/python3.6/site-packages/eventlet/tpool.py", line 193, in doit\n    result = proxy_call(self._autowrap, f, *args, **kwargs)\n', '  File "/usr/lib/python3.6/site-packages/eventlet/tpool.py", line 151, in proxy_call\n    rv = execute(f, *args, **kwargs)\n', '  File "/usr/lib/python3.6/site-packages/eventlet/tpool.py", line 132, in execute\n    six.reraise(c, e, tb)\n', '  File "/usr/lib/python3.6/site-packages/six.py", line 703, in reraise\n    raise value\n', '  File "/usr/lib/python3.6/site-packages/eventlet/tpool.py", line 86, in tworker\n    rv = meth(*args, **kwargs)\n', '  File "/usr/lib64/python3.6/site-packages/libvirt.py", line 1385, in createWithFlags\n    raise libvirtError(\'virDomainCreateWithFlags() failed\')\n', "libvirt.libvirtError: unsupported configuration: host doesn't support passthrough of host PCI devices\n", '\nDuring handling of the above exception, another exception occurred:\n\n', 'Traceback (most recent call last):\n', '  File "/usr/lib/python3.6/site-packages/nova/compute/manager.py", line 2224, in _do_build_and_run_instance\n    filter_properties, request_spec, accel_uuids)\n', '  File "/usr/lib/python3.6/site-packages/nova/compute/manager.py", line 2495, in _build_and_run_instance\n    instance_uuid=instance.uuid, reason=str(e))\n', "nova.exception.RescheduledException: Build of instance f44d1122-450f-488f-81ed-9d7e630eb9ea was re-scheduled: unsupported configuration: host doesn't support passthrough of host PCI devices\n"], U' M" h" r& A+ F) d' E+ z
2022-06-10 22:17:22.882 3502 WARNING nova.scheduler.utils [req-b884423b-c435-41f2-a7aa-40c513a0e803 5247291b1dfa41f6a7da085f394d7978 f4af61d215974feeb90fdb25d63b1424 - default default] Failed to compute_task_build_instances: Exceeded maximum number of retries. Exhausted all hosts available for retrying build failures for instance f44d1122-450f-488f-81ed-9d7e630eb9ea.: nova.exception.MaxRetriesExceeded: Exceeded maximum number of retries. Exhausted all hosts available for retrying build failures for instance f44d1122-450f-488f-81ed-9d7e630eb9ea.
- e9 `6 k* M% Y: A% l0 a/ Q2022-06-10 22:17:22.882 3502 WARNING nova.scheduler.utils [req-b884423b-c435-41f2-a7aa-40c513a0e803 5247291b1dfa41f6a7da085f394d7978 f4af61d215974feeb90fdb25d63b1424 - default default] [instance: f44d1122-450f-488f-81ed-9d7e630eb9ea] Setting instance to ERROR state.: nova.exception.MaxRetriesExceeded: Exceeded maximum number of retries. Exhausted all hosts available for retrying build failures for instance f44d1122-450f-488f-81ed-9d7e630eb9ea.
3 Y9 n+ h! X* e* a& }8 \2022-06-10 22:17:23.045 3502 WARNING oslo_config.cfg [req-b884423b-c435-41f2-a7aa-40c513a0e803 5247291b1dfa41f6a7da085f394d7978 f4af61d215974feeb90fdb25d63b1424 - default default] Deprecated: Option "auth_plugin" from group "neutron" is deprecated. Use option "auth_type" from group "neutron".: nova.exception.MaxRetriesExceeded: Exceeded maximum number of retries. Exhausted all hosts available for retrying build failures for instance f44d1122-450f-488f-81ed-9d7e630eb9ea.8 R* Y6 G' W9 W, B$ ^0 z% p9 y" Q
, q6 G6 e5 f, l
 楼主| 发表于 2022-6-10 22:20:58 | 显示全部楼层

错误: 实例 "testgpu" 执行所请求操作失败,实例处于错误状态。: 请稍后再试 [错误: Exceeded maximum numb

2022-06-10 22:17:21.917 12258 ERROR nova.compute.manager [instance: f44d1122-450f-488f-81ed-9d7e630eb9ea]     raise self.value
' ^) h% G& j* ^* G" u  \5 Z( f, k2022-06-10 22:17:21.917 12258 ERROR nova.compute.manager [instance: f44d1122-450f-488f-81ed-9d7e630eb9ea]   File "/usr/lib/python3.6/site-packages/nova/virt/libvirt/driver.py", line 7260, in _create_guest_with_network' t$ T, b9 e0 e' }8 w  n, ?6 c% a% t
2022-06-10 22:17:21.917 12258 ERROR nova.compute.manager [instance: f44d1122-450f-488f-81ed-9d7e630eb9ea]     post_xml_callback=post_xml_callback)
3 w. [: ?# R+ d6 Z& Y2022-06-10 22:17:21.917 12258 ERROR nova.compute.manager [instance: f44d1122-450f-488f-81ed-9d7e630eb9ea]   File "/usr/lib/python3.6/site-packages/nova/virt/libvirt/driver.py", line 7197, in _create_guest* }! l7 L7 |& w' {
2022-06-10 22:17:21.917 12258 ERROR nova.compute.manager [instance: f44d1122-450f-488f-81ed-9d7e630eb9ea]     guest.launch(pause=pause)6 w' |/ L) q5 P6 S5 d
2022-06-10 22:17:21.917 12258 ERROR nova.compute.manager [instance: f44d1122-450f-488f-81ed-9d7e630eb9ea]   File "/usr/lib/python3.6/site-packages/nova/virt/libvirt/guest.py", line 169, in launch" n4 d* u4 M5 y. r+ {
2022-06-10 22:17:21.917 12258 ERROR nova.compute.manager [instance: f44d1122-450f-488f-81ed-9d7e630eb9ea]     self._encoded_xml, errors='ignore')
+ W1 f* W# L- n2022-06-10 22:17:21.917 12258 ERROR nova.compute.manager [instance: f44d1122-450f-488f-81ed-9d7e630eb9ea]   File "/usr/lib/python3.6/site-packages/oslo_utils/excutils.py", line 227, in __exit__
! {% q; e1 c' ]# ?; B5 j2022-06-10 22:17:21.917 12258 ERROR nova.compute.manager [instance: f44d1122-450f-488f-81ed-9d7e630eb9ea]     self.force_reraise()" }- ^9 ]3 J6 C$ L3 ]% C5 I1 `
2022-06-10 22:17:21.917 12258 ERROR nova.compute.manager [instance: f44d1122-450f-488f-81ed-9d7e630eb9ea]   File "/usr/lib/python3.6/site-packages/oslo_utils/excutils.py", line 200, in force_reraise
2 j% k6 T1 T5 f  O% ]; a2022-06-10 22:17:21.917 12258 ERROR nova.compute.manager [instance: f44d1122-450f-488f-81ed-9d7e630eb9ea]     raise self.value; g2 A1 W2 a; y4 Z1 t4 E+ q
2022-06-10 22:17:21.917 12258 ERROR nova.compute.manager [instance: f44d1122-450f-488f-81ed-9d7e630eb9ea]   File "/usr/lib/python3.6/site-packages/nova/virt/libvirt/guest.py", line 165, in launch
8 f! b) M: y8 D+ R- c. g4 n2022-06-10 22:17:21.917 12258 ERROR nova.compute.manager [instance: f44d1122-450f-488f-81ed-9d7e630eb9ea]     return self._domain.createWithFlags(flags)$ ?* `* {' v1 C, m' Q9 o( ]
2022-06-10 22:17:21.917 12258 ERROR nova.compute.manager [instance: f44d1122-450f-488f-81ed-9d7e630eb9ea]   File "/usr/lib/python3.6/site-packages/eventlet/tpool.py", line 193, in doit, y- e  ?0 F) R- B
2022-06-10 22:17:21.917 12258 ERROR nova.compute.manager [instance: f44d1122-450f-488f-81ed-9d7e630eb9ea]     result = proxy_call(self._autowrap, f, *args, **kwargs)+ P$ i  Q$ ~" l, ?
2022-06-10 22:17:21.917 12258 ERROR nova.compute.manager [instance: f44d1122-450f-488f-81ed-9d7e630eb9ea]   File "/usr/lib/python3.6/site-packages/eventlet/tpool.py", line 151, in proxy_call) k: \( E: h+ e1 Y5 v
2022-06-10 22:17:21.917 12258 ERROR nova.compute.manager [instance: f44d1122-450f-488f-81ed-9d7e630eb9ea]     rv = execute(f, *args, **kwargs)9 M0 c9 K+ E# L$ U! ]
2022-06-10 22:17:21.917 12258 ERROR nova.compute.manager [instance: f44d1122-450f-488f-81ed-9d7e630eb9ea]   File "/usr/lib/python3.6/site-packages/eventlet/tpool.py", line 132, in execute
* V% Q$ j, g) Y/ `5 j6 ^9 ^2022-06-10 22:17:21.917 12258 ERROR nova.compute.manager [instance: f44d1122-450f-488f-81ed-9d7e630eb9ea]     six.reraise(c, e, tb)" h4 c) o) |' B! N# C) q% k
2022-06-10 22:17:21.917 12258 ERROR nova.compute.manager [instance: f44d1122-450f-488f-81ed-9d7e630eb9ea]   File "/usr/lib/python3.6/site-packages/six.py", line 703, in reraise
  k9 s* B5 l. U( _. K+ {- Z2022-06-10 22:17:21.917 12258 ERROR nova.compute.manager [instance: f44d1122-450f-488f-81ed-9d7e630eb9ea]     raise value
' X2 g1 q/ B$ L; ^2 i" b7 t; b2022-06-10 22:17:21.917 12258 ERROR nova.compute.manager [instance: f44d1122-450f-488f-81ed-9d7e630eb9ea]   File "/usr/lib/python3.6/site-packages/eventlet/tpool.py", line 86, in tworker
" ?/ p  k; t2 T: Z5 P$ q2022-06-10 22:17:21.917 12258 ERROR nova.compute.manager [instance: f44d1122-450f-488f-81ed-9d7e630eb9ea]     rv = meth(*args, **kwargs)* p/ N7 o! E# Y& ]3 {! P  C
2022-06-10 22:17:21.917 12258 ERROR nova.compute.manager [instance: f44d1122-450f-488f-81ed-9d7e630eb9ea]   File "/usr/lib64/python3.6/site-packages/libvirt.py", line 1385, in createWithFlags+ r/ ]4 Y8 J, A3 m& W5 {
2022-06-10 22:17:21.917 12258 ERROR nova.compute.manager [instance: f44d1122-450f-488f-81ed-9d7e630eb9ea]     raise libvirtError('virDomainCreateWithFlags() failed')( l$ U6 X% ]2 w- C
2022-06-10 22:17:21.917 12258 ERROR nova.compute.manager [instance: f44d1122-450f-488f-81ed-9d7e630eb9ea] libvirt.libvirtError: unsupported configuration: host doesn't support passthrough of host PCI devices
2 {, x; }" s! e2 G0 @2022-06-10 22:17:21.917 12258 ERROR nova.compute.manager [instance: f44d1122-450f-488f-81ed-9d7e630eb9ea]
; R1 o) z; M9 ^& W& P, M8 O2022-06-10 22:17:21.923 12258 INFO os_vif [req-b884423b-c435-41f2-a7aa-40c513a0e803 5247291b1dfa41f6a7da085f394d7978 f4af61d215974feeb90fdb25d63b1424 - default default] Successfully unplugged vif VIFBridge(active=False,address=fa:16:3e:7e:14:d0,bridge_name='qbrd0811afe-f1',has_traffic_filtering=True,id=d0811afe-f1b3-4b2c-a1d0-f2601bbd5344,network=Network(5eb067d8-cd9b-4eec-ac0b-b5982752e75d),plugin='ovs',port_profile=VIFPortProfileOpenVSwitch,preserve_on_delete=False,vif_name='tapd0811afe-f1')
4 F: p5 X9 ?8 {* m+ ?2022-06-10 22:17:22.721 12258 INFO nova.compute.manager [req-b884423b-c435-41f2-a7aa-40c513a0e803 5247291b1dfa41f6a7da085f394d7978 f4af61d215974feeb90fdb25d63b1424 - default default] [instance: f44d1122-450f-488f-81ed-9d7e630eb9ea] Took 0.80 seconds to deallocate network for instance.
9 V4 S$ H' p' R0 {2022-06-10 22:17:22.862 12258 INFO nova.scheduler.client.report [req-b884423b-c435-41f2-a7aa-40c513a0e803 5247291b1dfa41f6a7da085f394d7978 f4af61d215974feeb90fdb25d63b1424 - default default] Deleted allocations for instance f44d1122-450f-488f-81ed-9d7e630eb9ea
您需要登录后才可以回帖 登录 | 开始注册

本版积分规则

关闭

站长推荐上一条 /4 下一条

如有购买积分卡请联系497906712

QQ|返回首页|Archiver|手机版|小黑屋|易陆发现 点击这里给我发消息

GMT+8, 2022-7-4 11:39 , Processed in 0.041419 second(s), 21 queries .

Powered by LR.LINUX.cloud bbs168x X3.2 Licensed

© 2012-2022 Comsenz Inc.

快速回复 返回顶部 返回列表